# Interface UserDefinedValueTypeTypeGlobal

Global UDVT (defined outside a contract)

#### Category

User-defined elementary types

#### Hierarchy

- UserDefinedValueTypeTypeGlobal

- Defined in codec/lib/format/types.ts:564

#####
Index

### Properties

id
kind
typeClass
typeName
underlyingType?

## Properties

### id

id: string

Internal ID. Format may change in future.

- Defined in codec/lib/format/types.ts:570

### kind

kind: "global"

- Defined in codec/lib/format/types.ts:566

### typeClass

typeClass: "userDefinedValueType"

- Defined in codec/lib/format/types.ts:565

### typeName

typeName: string

- Defined in codec/lib/format/types.ts:571

### `Optional` underlyingType

underlyingType?: BuiltInValueType

- Defined in codec/lib/format/types.ts:572

Generated using TypeDoc